Versions 12.0&12.1 - Gtk 3.10 and Emendo

Global announcements
simargl
Site Admin
Posts: 466
Joined: 16 May 2013, 10:54
Contact:

Re: Version 12.0 - Gtk 3.10 and Emendo

Postby simargl » 16 Oct 2013, 15:39

Hi Marv,
that way openbox-menu works because script always deletes those files, I added echo "removing" inside if then statement to check. Also, openbox-menu can't send output to a file, if I type openbox-menu > file, it still shows output in the terminal and file is empty.


simargl
Site Admin
Posts: 466
Joined: 16 May 2013, 10:54
Contact:

Re: Versions 12.0&12.1 - Gtk 3.10 and Emendo

Postby simargl » 19 Oct 2013, 07:54

Version 12.1 is a bugfix release:

1) SpaceFM is compiled with Gtk2, to get menu icons back because they are removed in Gtk 3.10

2) Emendo upgraded to 1.0.5, doesn't use Gtk.Stock (deprecated in Gtk 3.10)

3) Simple radio upgraded to 1.4, now shows icons in the menu

4) Main iso still comes with alpha_12.sfs and extra_12.sfs, only now extra_12.sfs is BDRVSFS, and ADRVSFS is named adrive_12.sfs

5) makesfs -Ss pkgname will search for package

5) added libsystemd-daemon libraries needed when installing cups and for printing setup

6) Replaced mplayer with mplayer2 from AUR, radio now shows notifications. This mplayer2 package size is 800 KB while original mplayer from Arch repository is 5.5 MB

7) Added new ffmpeg dependencies: gnutls, libtasn1, nettle and p11-kit

8) Removed packages: faac and libmng

9) openbox-menu upgraded to latest hg version

10) use openbox-menu-wrapper custom script that has checking mechanism to ensure pipe menu will always be made

rgb1
Competent
Posts: 37
Joined: 07 Oct 2013, 03:49

Re: Versions 12.0&12.1 - Gtk 3.10 and Emendo

Postby rgb1 » 19 Oct 2013, 16:22

i have been wanting to use yaourt to download from the AUR but i kept on getting curl errors. i found the problem to be missing ca-certificates, and the solution "pacman -S update-ca-certificates --fresh". i just insalled jdk 7.45 which previouly would give curl errors and only display community packages like open jdk and such which are available from the official repositories.

Marv
Proficient
Posts: 81
Joined: 16 May 2013, 16:42

Re: Versions 12.0&12.1 - Gtk 3.10 and Emendo

Postby Marv » 19 Oct 2013, 16:34

12.1 downloaded and installed, usual Grub4Dos Frugal in SSD. Accepted my adrive_12 with all of my customizations perfectly. This will make upgrades and updates much easier. Thanks :D :D :D
Changed a .desktop and the openbox pipe menu seems fixed. Subjectively faster also?
Haven't used it enough to check out the other changes but I'm posting from it and it all seems good.

john3voltas
Expert
Posts: 266
Joined: 19 May 2013, 21:53

Re: Versions 12.0&12.1 - Gtk 3.10 and Emendo

Postby john3voltas » 19 Oct 2013, 16:57

@simargl,
Previously you said:
simargl wrote:In this version mplayer2 is replaced with original mplayer package, because mplayer2 is removed from Arch repository and project is not very active at the moment.


Now you're saying:
simargl wrote:6) Replaced mplayer with mplayer2 from AUR, radio now shows notifications. This mplayer2 package size is 800 KB while original mplayer from Arch repository is 5.5 MB


So, we're staying with mplayer2. But is it being actively developed?

rgb1
Competent
Posts: 37
Joined: 07 Oct 2013, 03:49

Re: Versions 12.0&12.1 - Gtk 3.10 and Emendo

Postby rgb1 » 19 Oct 2013, 17:35

cant use systemctl. from what i read it should be included with systemd but it appears it isn't.

simargl
Site Admin
Posts: 466
Joined: 16 May 2013, 10:54
Contact:

Re: Versions 12.0&12.1 - Gtk 3.10 and Emendo

Postby simargl » 19 Oct 2013, 18:03

rgb1 wrote:i have been wanting to use yaourt to download from the AUR but i kept on getting curl errors. i found the problem to be missing ca-certificates, and the solution "pacman -S update-ca-certificates --fresh"

Patch for packer contains among others this line

Code: Select all

+[ ! -L /etc/ssl/certs/0b759015.0 ] && update-ca-certificates

so it will update certificates on first use if that link is missing.
rgb1 wrote:cant use systemctl. from what i read it should be included with systemd but it appears it isn't.

systemctl is from systemd and we don't use systemd, but its fork called eudev.

simargl
Site Admin
Posts: 466
Joined: 16 May 2013, 10:54
Contact:

Re: Versions 12.0&12.1 - Gtk 3.10 and Emendo

Postby simargl » 19 Oct 2013, 18:12

john3voltas wrote:So, we're staying with mplayer2. But is it being actively developed?

Used mplayer2 git version is from 2013-04-28, it compiles with latest ffmpeg and is patched to used python2 instead of default python3, doesn't add any new dependency and is smaller for 4 MB than original mplayer.

As long as it compiles with latest ffmpeg from Arch it is good, then beside smaller size another reason for using mplayer2 is that simple radio notifications don't work that well with original mplayer.

Marv
Proficient
Posts: 81
Joined: 16 May 2013, 16:42

Re: Versions 12.0&12.1 - Gtk 3.10 and Emendo

Postby Marv » 19 Oct 2013, 20:15

With mplayer2, libdvdcss is needed for gnome-mplayer to play dvds. It's tiny and pacman -S libdvdcss installs it. See here http://alphaos.tuxfamily.org/forum/viewtopic.php?f=6&t=843 for details. 12.0, with mplayer, didn't need it.


Return to “Announcements”

Who is online

Users browsing this forum: No registered users and 2 guests

cron